PAM_GETENV(3)

NAME
pam_getenv - get a PAM environment variable

SYNOPSIS

#include <security/pam_appl.h>

const char *pam_getenv(pam_handle_t *pamh, const char *name);

DESCRIPTION

The pam_getenv function searches the PAM environment list as associated with the handle pamh for an item that matches the string pointed to by name and returns a pointer to the value of the environment variable. The application is not allowed to free the data.

RETURN VALUES

The pam_getenv function returns NULL on failure.

SEE ALSO

pam_start(3), pam_getenvlist(3), pam_putenv(3), pam(8)